summaryrefslogtreecommitdiffstats
path: root/UnixPkg
diff options
context:
space:
mode:
authorandrewfish <andrewfish@6f19259b-4bc3-4df7-8a09-765794883524>2010-07-23 22:18:07 +0000
committerandrewfish <andrewfish@6f19259b-4bc3-4df7-8a09-765794883524>2010-07-23 22:18:07 +0000
commit185969ed53d42fbcd912db69075adbcde938a1c8 (patch)
tree24ed2513a088f51db3bcd73c54a673feb56b3b4b /UnixPkg
parent685f8c760077cb2fb11b74c5758a6d54aebf539f (diff)
downloadedk2-185969ed53d42fbcd912db69075adbcde938a1c8.tar.gz
edk2-185969ed53d42fbcd912db69075adbcde938a1c8.tar.bz2
edk2-185969ed53d42fbcd912db69075adbcde938a1c8.zip
Add an option to build the GccShell. './build.sh shell' or './build64.sh' will buid the shell.
git-svn-id: https://edk2.svn.sourceforge.net/svnroot/edk2/trunk/edk2@10688 6f19259b-4bc3-4df7-8a09-765794883524
Diffstat (limited to 'UnixPkg')
-rwxr-xr-xUnixPkg/build.sh7
-rwxr-xr-xUnixPkg/build64.sh8
2 files changed, 11 insertions, 4 deletions
diff --git a/UnixPkg/build.sh b/UnixPkg/build.sh
index 077fb86b81..e3a208f9b4 100755
--- a/UnixPkg/build.sh
+++ b/UnixPkg/build.sh
@@ -91,6 +91,11 @@ do
if [[ $arg == cleanall ]]; then
make -C $WORKSPACE/BaseTools clean
fi
+
+ if [[ $arg == shell ]]; then
+ build -p $WORKSPACE/GccShellPkg/GccShellPkg.dsc -a IA32 -t $TARGET_TOOLS -n 3 $2 $3 $4 $5 $6 $7 $8
+ exit $?
+ fi
done
@@ -99,8 +104,6 @@ done
#
echo $PATH
echo `which build`
-# Uncomment this if you want to build the shell.
-#build -p $WORKSPACE/GccShellPkg/GccShellPkg.dsc -a IA32 -t $TARGET_TOOLS -n 3 $1 $2 $3 $4 $5 $6 $7 $8
build -p $WORKSPACE/UnixPkg/UnixPkg.dsc -a IA32 -t $TARGET_TOOLS -n 3 $1 $2 $3 $4 $5 $6 $7 $8
exit $?
diff --git a/UnixPkg/build64.sh b/UnixPkg/build64.sh
index 90e2b7d025..f2a6927d57 100755
--- a/UnixPkg/build64.sh
+++ b/UnixPkg/build64.sh
@@ -91,6 +91,12 @@ do
if [[ $arg == cleanall ]]; then
make -C $WORKSPACE/BaseTools clean
fi
+ if [[ $arg == shell ]]; then
+ build -p $WORKSPACE/GccShellPkg/GccShellPkg.dsc -a X64 -t $TARGET_TOOLS -n 3 $2 $3 $4 $5 $6 $7 $8
+ exit $?
+ fi
+
+
done
@@ -99,8 +105,6 @@ done
#
echo $PATH
echo `which build`
-# Uncomment this if you want to build the shell.
-build -p $WORKSPACE/GccShellPkg/GccShellPkg.dsc -a X64 -t $TARGET_TOOLS -n 3 $1 $2 $3 $4 $5 $6 $7 $8
build -p $WORKSPACE/UnixPkg/UnixPkgX64.dsc -a X64 -t $TARGET_TOOLS -n 3 $1 $2 $3 $4 $5 $6 $7 $8
exit $?